import React from "react";
import { VMApi, VMInfo } from "../api/VMApi";
import { SectionContainer } from "./SectionContainer";
import { AsyncWidget } from "./AsyncWidget";

export function VirtualMachinesWidget(): React.ReactElement {
  const [list, setList] = React.useState<VMInfo[] | undefined>();
  const load = async () => {
    setList(await VMApi.GetList());
  };

  return (
    <SectionContainer>
      <AsyncWidget
        loadKey={1}
        load={load}
        loadingMessage="Loading the list virtual machines..."
        errMsg="Failed to load the list of virtual machines!"
        build={() => <VirtualMachinesWidgetInner list={list!} />}
      />
    </SectionContainer>
  );
}

function VirtualMachinesWidgetInner(p: { list: VMInfo[] }): React.ReactElement {
  return <>build list of vms</>;
}
